%define         dlver %(echo %{version} | sed -e 's|\\.|_|g')

Name:           encryptpad
Version:        0.5.0.2
Release:        %mkrel 1
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
License:        GPLv2
URL:            https://evpo.net/encryptpad
Source0:        https://github.com/evpo/EncryptPad/releases/download/v%{version}/%{name}%{dlver}_src.tar.gz

Patch0:         destdir.patch

BuildRequires:  pkgconfig(botan-2)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  discount
Requires:       discount

%description
EncryptPad is an application for viewing and editing symmetrically encrypted
text. Using a simple and convenient graphical and command line interface,
EncryptPad provides a tool for encrypting and decrypting binary files on disk
while offering effective measures for protecting information, and it uses the
most widely chosen quality file format OpenPGP.
RFC 4880 (https://tools.ietf.org/html/rfc4880).
Unlike other OpenPGP software which main purpose is asymmetric encryption, the
primary focus of EncryptPad is symmetric encryption.

%package -n %{name}-qt5
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
Provides:       epad = %{version}-%{release}
Provides:       encpad = %{version}-%{release}

%description -n %{name}-qt5
This is the QT5 version of the %{name} text editor.

%package -n %{name}-cli
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors

%description -n %{name}-cli
This is the CLI version of the %{name} text editor.

%package -n %{name}-docs
Summary:        Minimalist secure text editor and binary encryptor
Group:          Editors
BuildArch:      noarch
Conflicts:      %{name} < 0.4.0.4-1

%description -n %{name}-docs
This is the documentation for the %{name} text editor.

%prep
%autosetup -p1 -n %{name}%{dlver}_src

%build
%set_build_flags

./configure.py \
	--includedir=%{_includedir} \
	--with-external-libdir=%{_libdir} \
	--with-external-includedir=%{_includedir}

%make_build

%install
%make_install DESTDIR=%{buildroot}

ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/epad
ln -s %{_bindir}/%{name} %{buildroot}%{_bindir}/encpad

%files -n %{name}-qt5
%doc README.md CHANGES.md
%license license*
%{_bindir}/encryptpad
%{_bindir}/epad
%{_bindir}/encpad
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/mime/*/*%{name}.xml

%files -n %{name}-cli
%{_bindir}/encryptcli

%files -n %{name}-docs
%doc docs


%changelog
* Sun Aug 21 2022 kekepower <kekepower> 0.5.0.2-1.mga9
+ Revision: 1879004
- Update to version 0.5.0.2

* Sun Apr 03 2022 umeabot <umeabot> 0.5.0.1-2.mga9
+ Revision: 1842503
- Mageia 9 Mass Rebuild

* Sun Jul 18 2021 kekepower <kekepower> 0.5.0.1-1.mga9
+ Revision: 1736559
- Update to version 0.5.0.1

* Sun Apr 18 2021 kekepower <kekepower> 0.5.0.0-6.mga9
+ Revision: 1716672
- Rebuild for botan 2.18.0

* Wed Dec 16 2020 umeabot <umeabot> 0.5.0.0-5.mga8
+ Revision: 1658340
- Rebuild for new Qt5

* Sun Nov 08 2020 kekepower <kekepower> 0.5.0.0-4.mga8
+ Revision: 1643688
- Rebuild for Botan2, major 17

* Thu Oct 22 2020 daviddavid <daviddavid> 0.5.0.0-3.mga8
+ Revision: 1638599
- rebuild for new botan2 2.16.0

* Fri Jul 17 2020 daviddavid <daviddavid> 0.5.0.0-2.mga8
+ Revision: 1606741
- re-enable debug packages as it should removing '--owner=0' and '--group=0'
  during install stage, this fixes also the auto-dependencies generation
- rebuild for new botan2 2.15.0

* Fri May 22 2020 kekepower <kekepower> 0.5.0.0-1.mga8
+ Revision: 1586825
- Update to version 0.5.0.0
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 19 2020 umeabot <umeabot> 0.4.0.4-10.mga8
+ Revision: 1542963
- Mageia 8 Mass Rebuild

* Wed Jan 08 2020 daviddavid <daviddavid> 0.4.0.4-9.mga8
+ Revision: 1477281
- rebuild for new botan2 2.13.0
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Thu Dec 05 2019 daviddavid <daviddavid> 0.4.0.4-8.mga8
+ Revision: 1464656
- rebuild for new botan 2.12.1

* Mon Jul 15 2019 daviddavid <daviddavid> 0.4.0.4-7.mga8
+ Revision: 1421546
- rebuild for new botan2 2.11.0

* Mon Jul 01 2019 daviddavid <daviddavid> 0.4.0.4-6.mga8
+ Revision: 1416905
- rebuild for new botan2 2.10.0

* Sat Mar 30 2019 umeabot <umeabot> 0.4.0.4-5.mga7
+ Revision: 1381634
- Qt5 Rebuild

* Sat Jan 05 2019 kekepower <kekepower> 0.4.0.4-4.mga7
+ Revision: 1349247
- Rebuild for new botan2

* Sun Nov 25 2018 kekepower <kekepower> 0.4.0.4-3.mga7
+ Revision: 1334123
- Bump rel
- Require discount
- Separate docs package

* Sun Oct 28 2018 kekepower <kekepower> 0.4.0.4-2.mga7
+ Revision: 1326395
- Rebuild for new botan2
- Add desktop and application image files

* Sun Oct 28 2018 kekepower <kekepower> 0.4.0.4-1.mga7
+ Revision: 1326351
- imported package encryptpad

